-- Germany
-- Author: pineappledan
-- DateCreated:
--------------------------------------------------------------
local eCivilizationGermany = GameInfoTypes.CIVILIZATION_GERMANY
-------------------------------------------------------
----- Adds Influence per turn for each gifted unit ----
-------------------------------------------------------
function DruhtizInfluence(iPlayer)
	local pPlayer = Players[iPlayer]
	
	if not (pPlayer and pPlayer:GetCivilizationType() == eCivilizationGermany) then return end
	
	local TotalInfluenceCount = 0
	for player in pairs(Players) do
		local MinorPlayer = Players[player]
		if MinorPlayer and MinorPlayer:IsMinorCiv() then 
		
			local DruhtizUnitCount = 0
			for pUnit in MinorPlayer:Units() do
				if pUnit:IsCombatUnit() then 
					if (pUnit:GetOriginalOwner() == iPlayer or Players[pUnit:GetOriginalOwner()]:IsBarbarian()) then
--						local UnitScaler = (pUnit:GetLevel() / 2) --divide by 2 to get 0.5 per level.
						DruhtizUnitCount = DruhtizUnitCount + 1 
					end
				end
			end
			local InfluenceGain = DruhtizUnitCount
			MinorPlayer:ChangeMinorCivFriendshipWithMajor(iPlayer, InfluenceGain)
			TotalInfluenceCount = TotalInfluenceCount + InfluenceGain
		end
	end
	if TotalInfluenceCount > 0 then
		if pPlayer:IsHuman() and pPlayer:IsTurnActive() then
			local pCapital = pPlayer:GetCapitalCity()
		
			pPlayer:AddNotification(NotificationTypes.NOTIFICATION_INSTANT_YIELD,
			'Total Influence from City-State Unit Gifts:[NEWLINE][ICON_BULLET]'..TotalInfluenceCount..' [ICON_INFLUENCE] Influence',
			'Germanic Retainers',pCapital:GetX(),pCapital:GetY(),pCapital:GetID())
		end
	end
end

if Game.IsCivEverActive(eCivilizationGermany) then
	GameEvents.PlayerDoTurn.Add(DruhtizInfluence)
end