--==========================================================================================================================	
-- Spain Conquistador now an Explorer
--==========================================================================================================================
UPDATE Civilization_UnitClassOverrides SET UnitClassType = 'UNITCLASS_EXPLORER' WHERE UnitType = 'UNIT_SPANISH_CONQUISTADOR';

UPDATE Units SET Class = 'UNITCLASS_EXPLORER' 						WHERE Type = 'UNIT_SPANISH_CONQUISTADOR';
UPDATE Units SET Combat = 23 										WHERE Type = 'UNIT_SPANISH_CONQUISTADOR';
UPDATE Units SET Cost = 180 										WHERE Type = 'UNIT_SPANISH_CONQUISTADOR';
UPDATE Units SET FaithCost = 300 									WHERE Type = 'UNIT_SPANISH_CONQUISTADOR';
UPDATE Units SET Moves = 3 											WHERE Type = 'UNIT_SPANISH_CONQUISTADOR';
UPDATE Units SET BaseSightRange = 3 								WHERE Type = 'UNIT_SPANISH_CONQUISTADOR';
--UPDATE Units SET IsMounted = 1 										WHERE Type = 'UNIT_SPANISH_CONQUISTADOR';
UPDATE Units SET PrereqTech = 'TECH_COMPASS' 						WHERE Type = 'UNIT_SPANISH_CONQUISTADOR';
UPDATE Units SET ObsoleteTech = 'TECH_FLIGHT' 						WHERE Type = 'UNIT_SPANISH_CONQUISTADOR';
UPDATE Units SET CombatClass = 'UNITCOMBAT_RECON' 					WHERE Type = 'UNIT_SPANISH_CONQUISTADOR';
UPDATE Units SET GoodyHutUpgradeUnitClass = 'UNITCLASS_COMMANDO' 	WHERE Type = 'UNIT_SPANISH_CONQUISTADOR';

UPDATE Unit_ClassUpgrades SET UnitClassType = 'UNITCLASS_COMMANDO' WHERE UnitType = 'UNIT_SPANISH_CONQUISTADOR';

DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_SPANISH_CONQUISTADOR';
DELETE FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_SPANISH_CONQUISTADOR';
--------------------------------
-- Unit_FreePromotions
--------------------------------
INSERT INTO Unit_FreePromotions 	
			(UnitType, 						PromotionType)
SELECT		'UNIT_SPANISH_CONQUISTADOR',	PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_EXPLORER';

INSERT INTO	Unit_FreePromotions
			(UnitType,						PromotionType)
VALUES		('UNIT_SPANISH_CONQUISTADOR',	'PROMOTION_COASTAL_TERROR'),
			('UNIT_SPANISH_CONQUISTADOR',	'PROMOTION_SHOCK_4');
--------------------------------
-- Text
--------------------------------
UPDATE Language_en_US
SET Text = 'Medieval-Era mounted unit that specializes in scouting and colonizing advanced Cities overseas. Only Spain may build it. Starts with the [COLOR_POSITIVE_TEXT]Overrun[ENDCOLOR] and [COLOR_POSITIVE_TEXT]Vanguard[ENDCOLOR] Promotions.'
WHERE Tag = 'TXT_KEY_CIV5_SPAIN_CONQUISTADOR_HELP';

UPDATE Language_en_US
SET Text = 'The Conquistador is a multi-purpose unit that is strong both on land and at sea. It also has the ability to found new cities, but only on a foreign continent that does not contain the Spanish capital. When founded, cities built by Conquistadors start with 3 Citizens, claim additional territory, and automatically receive the following selection of buildings:[NEWLINE][NEWLINE][ICON_BULLET] Council[NEWLINE][ICON_BULLET] Granary[NEWLINE][ICON_BULLET] Market[NEWLINE][ICON_BULLET] Monument[NEWLINE][ICON_BULLET] Shrine[NEWLINE][ICON_BULLET] Barracks[NEWLINE][ICON_BULLET] Water Mill (if applicable)[NEWLINE][ICON_BULLET] Library[NEWLINE][ICON_BULLET] Forge[NEWLINE][ICON_BULLET] Well (if applicable)[NEWLINE][ICON_BULLET] Mission[NEWLINE][NEWLINE]Note: the bonuses for constructing buildings from the Progress and Industry policy branches do not apply to the buildings constructed by Conquistadores! The Mission is a special religious and defensive building only granted by settling Conquistadores.[NEWLINE][NEWLINE]Conquistador is much stronger than the Explorer it replaces, with much higher Combat Strength, and large bonuses to Flanking and attacking Cities. Combined with its great mobility, the Conquistador is a formidable unit, able to augment or replace your existing Medieval military.'
WHERE Tag = 'TXT_KEY_CIV5_SPAIN_CONQUISTADOR_STRATEGY';
--------------------------------
-- Mission
--------------------------------
INSERT INTO BuildingClasses 	
			(Type,									DefaultBuilding)
VALUES		('BUILDINGCLASS_D_FOR_SPAIN_MISSION',	'BUILDING_D_FOR_SPAIN_MISSION'),
			('BUILDINGCLASS_SPAIN_MISSION',			'BUILDING_SPAIN_MISSION');

INSERT INTO Buildings 	
			(Type,								BuildingClass,							Description,						CapitalOnly, 	GoldMaintenance,	Cost,	FaithCost,	GreatWorkCount, NeverCapture,	NukeImmune, ConquestProb,	HurryCostModifier,	IconAtlas,			PortraitIndex, 	IsDummy)
VALUES		('BUILDING_D_FOR_SPAIN_MISSION',	'BUILDINGCLASS_D_FOR_SPAIN_MISSION',	'TXT_KEY_BUILDING_SPAIN_MISSION',	0, 				0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 				1);


INSERT INTO Buildings 	
			(Type,						BuildingClass,					Description,						Help, 									Civilopedia, 							Strategy, 									GoldMaintenance,	Cost,	FaithCost,	NeverCapture,	ConquestProb,	HurryCostModifier,	ArtDefineTag, 	ArtInfoCulturalVariation, 	IconAtlas,			PortraitIndex, 	Defense, 	ExtraCityHitPoints, InstantReligiousPressure, 	AllowsRangeStrike, 	DisplayPosition)
VALUES		('BUILDING_SPAIN_MISSION',	'BUILDINGCLASS_SPAIN_MISSION',	'TXT_KEY_BUILDING_SPAIN_MISSION',	'TXT_KEY_BUILDING_SPAIN_MISSION_HELP', 	'TXT_KEY_CIV5_BUILDINGS_MISSION_TEXT', 	'TXT_KEY_BUILDING_SPAIN_MISSION_STRATEGY', 	0,					-1,		100, 		1,				0,				15,					'CASTLE', 		1, 							'COMMUNITY_ATLAS',	16, 			200, 		50, 				9999, 						1, 					1);

INSERT INTO Building_ImprovementYieldChanges	
			(BuildingType, 				ImprovementType,				YieldType,		Yield)
VALUES		('BUILDING_SPAIN_MISSION',	'IMPROVEMENT_SPAIN_HACIENDA',	'YIELD_FAITH',	1);

INSERT INTO Building_ClassesNeededInCity
			(BuildingType,				BuildingClassType)
VALUES		('BUILDING_SPAIN_MISSION',	'BUILDINGCLASS_D_FOR_SPAIN_MISSION');

INSERT INTO Building_YieldChanges 	
			(BuildingType, 				YieldType,		Yield)
VALUES		('BUILDING_SPAIN_MISSION',	'YIELD_FAITH',	2);

DELETE FROM Unit_BuildOnFound WHERE (UnitType = 'UNIT_SPANISH_CONQUISTADOR' AND BuildingClassType = 'BUILDINGCLASS_CASTLE');
INSERT INTO Unit_BuildOnFound (UnitType, BuildingClassType) VALUES ('UNIT_SPANISH_CONQUISTADOR', 'BUILDINGCLASS_D_FOR_SPAIN_MISSION');

INSERT INTO Language_en_US (Tag, Text)
VALUES
	('TXT_KEY_BUILDING_SPAIN_MISSION',				'Mission'),
	('TXT_KEY_BUILDING_SPAIN_MISSION_HELP',			'Defensive Religious Building. Can only be Faith purchased in cities settled by a Spanish Conquistador.[NEWLINE][NEWLINE]+1 [ICON_PEACE] Faith to nearby Haciendas. When built, Instantly converts this city to the Majority Religion in your [ICON_CAPITAL] Capital'),
	('TXT_KEY_CIV5_BUILDINGS_MISSION_TEXT',			'According to the Catholic Church, Missions are religious communities devoted to teaching, tending, and helping the local populace, thus supporting Christ’s ideals. In practice, however, the missions were devoted to converting the locals and then “civilizing” them through cultural assimilation. The Spanish missions serve as the traditional template, self-supporting enclaves with churches, dormitories, workrooms, and schools. In places these were even fortified, ready to defend themselves from opposition. Most of the missions in the Americas, Asia, and Africa were administered by religious orders such as the Franciscans, Jesuits, Dominicans, and Augustinians rather than the Church itself, but the effects were the same. Missions often served as a nucleus around which Spanish, French, and Potuguese colonizing efforts could coalesce.'),
	('TXT_KEY_BUILDING_SPAIN_MISSION_STRATEGY',		'A Mission is only available for purchase in cities settled by a Spanish Conquistador. They give a small amount of Faith and Defense and boost the yields of nearby Haciendas. The Mission performs a missionary spread action when it is built, converting it to the Majority Religion in your Capital.');

DELETE FROM ArtDefine_UnitInfoMemberInfos WHERE UnitInfoType = 'ART_DEF_UNIT_U_SPANISH_CONQUISTADOR';
INSERT INTO ArtDefine_UnitInfoMemberInfos	 
		(UnitInfoType,		  					UnitMemberInfoType,		  							NumMembers)
VALUES  ('ART_DEF_UNIT_U_SPANISH_CONQUISTADOR', 'ART_DEF_UNIT_MEMBER_U_SPANISH_CONQUISTADOR',		2),
		('ART_DEF_UNIT_U_SPANISH_CONQUISTADOR',	'ART_DEF_UNIT_MEMBER_SCOUT',						1),
		('ART_DEF_UNIT_U_SPANISH_CONQUISTADOR',	'ART_DEF_UNIT_MEMBER_U_SPANISH_TERCIO_PIQUERO',		1),
		('ART_DEF_UNIT_U_SPANISH_CONQUISTADOR', 'ART_DEF_UNIT_MEMBER_U_SPANISH_CONQUISTADOR',		1),
		('ART_DEF_UNIT_U_SPANISH_CONQUISTADOR',	'ART_DEF_UNIT_MEMBER_U_SPANISH_TERCIO_PIQUERO',		2);
		
DELETE FROM ArtDefine_UnitInfoMemberInfos WHERE UnitInfoType = 'ART_DEF_UNIT_U_PERSIAN_IMMORTAL';
INSERT INTO ArtDefine_UnitInfoMemberInfos	 
		(UnitInfoType,		  				UnitMemberInfoType,		  					NumMembers)
VALUES  ('ART_DEF_UNIT_U_PERSIAN_IMMORTAL', 'ART_DEF_UNIT_MEMBER_U_PERSIAN_IMMORTAL',	4),
		('ART_DEF_UNIT_U_PERSIAN_IMMORTAL',	'ART_DEF_UNIT_MEMBER_ARCHER',				8);

UPDATE Units SET
	Range 			= 2, 
	Combat			= 13,
	RangedCombat	= 12
WHERE Type = 'UNIT_PERSIAN_IMMORTAL';
