
local eCivilizationChina = GameInfoTypes.CIVILIZATION_CHINA
local eCivilizationRome = GameInfoTypes.CIVILIZATION_ROME
local fGameSpeedModifier = GameInfo.GameSpeeds[ Game.GetGameSpeedType() ].GoldenAgePercent / 100
local iUADummy = GameInfoTypes.BUILDING_CHINA_8_DUMMY
local iUBDummy = GameInfoTypes.BUILDING_PAPER_MAKER_DUMMY

include("FLuaVector.lua")
---------------------------------------------
--Adds a dummy building whenever city population grows and the WLTED/yield bonus on 
---------------------------------------------
function OnBirthAddUADummy(iX, iY, iOld, iNew)
	if not (iNew > iOld) then return end

	local pPlot = Map.GetPlot(iX, iY)
	
	if not pPlot then return end

	local pCity = pPlot:GetPlotCity()
	local iGrowthDummy = GameInfoTypes.BUILDING_CHINA_GROWTH_DUMMY
	local eNumGrowths = pCity:GetNumRealBuilding(iGrowthDummy)
	pCity:SetNumRealBuilding(iGrowthDummy, (eNumGrowths + 1))
	
	local pPlayer = Players[pPlot:GetOwner()]
	if (pPlayer and (pPlayer:GetCivilizationType() == eCivilizationChina)) then 
		local eNumGrowths2 = pCity:GetNumRealBuilding(iGrowthDummy)
		if (eNumGrowths2/5 == math.floor(eNumGrowths2/5)) then
			local pCapital = pPlayer:GetCapitalCity()
			local iNumUABoosts = pCapital:GetNumRealBuilding(iUADummy)
			pCapital:SetNumRealBuilding(iUADummy, (iNumUABoosts + 1))
			
			for city in pPlayer:Cities() do
				local iWLTKDLength = math.floor(8 * fGameSpeedModifier)
				
				city:ChangeWeLoveTheKingDayCounter(iWLTKDLength)
			end

			if pPlayer:IsHuman() and pPlayer:IsTurnActive() then
				local sName = pCity:GetName()
					
				pPlayer:AddNotification(0, 
					'The City of [COLOR_POSITIVE_TEXT]'..sName..'[ENDCOLOR] Has grown and the nation prospers. A We Love the Empress Day has started in every city across the Empire.', 
					'Mandate of Heaven', 
					pCity:GetX(), pCity:GetY())
			end
		end
	end
end
---------------------------------------------
--Adds a dummy building China makes a Great Work
---------------------------------------------
function PaperMakerBonus(iPlayer, iUnit, iGreatWork)
	local pPlayer = Players[iPlayer]
	
	if not (pPlayer and (pPlayer:GetCivilizationType() == eCivilizationChina or pPlayer:GetCivilizationType() == eCivilizationRome)) then return end	

	for city in pPlayer:Cities() do
		if city:IsHasBuilding(GameInfoTypes.BUILDING_PAPER_MAKER) then
			local eNumGWBoosts = city:GetNumRealBuilding(iUBDummy)
			city:SetNumRealBuilding(iUBDummy, (eNumGWBoosts + 1))
		end
	end
end
---------------------------------------------
--Removes half of the dummy buildings for the UA and UB's powers
---------------------------------------------
function UAEraDecline(eTeam, eEra, bFirst)
	for id, pPlayer in pairs(Players) do
		if pPlayer:IsEverAlive() and pPlayer:GetTeam() == eTeam and (pPlayer:GetCivilizationType() == eCivilizationChina or pPlayer:GetCivilizationType() == eCivilizationRome) then
			local pCapital = pPlayer:GetCapitalCity()
			local iUADecay = math.ceil(pCapital:GetNumRealBuilding(iUADummy) / 2)
			pCapital:SetNumRealBuilding(iUADummy, iUADecay)

			for city in pPlayer:Cities() do
				local iUBDecay = math.ceil(pCapital:GetNumRealBuilding(iUBDummy) / 2)
				city:SetNumRealBuilding(iUBDummy, iUBDecay)
			end
		end
	end
end

function PositionCalculator(i1, i2)
	return HexToWorld(ToHexFromGrid(Vector2(i1, i2)))
end
---------------------------------------------
--China components activations
---------------------------------------------
if Game.IsCivEverActive(eCivilizationChina) then
	GameEvents.SetPopulation.Add(OnBirthAddUADummy)
	GameEvents.GreatWorkCreated.Add(PaperMakerBonus)
	GameEvents.TeamSetEra.Add(UAEraDecline)
end
