--=====================================================================================	
-- CUSTOM CIV COMPATIBILITY
--=====================================================================================
-- Ancient/Classical unit tweaks
UPDATE Units SET Combat = 16 WHERE Type = 'UNIT_ISRAEL_MACCABEE' AND EXISTS (SELECT * FROM Civilizations WHERE Type = 'CIVILIZATION_LEUGI_ISRAEL');
UPDATE Units SET Combat = 17 WHERE Type = 'UNIT_VISIGOTHS_MOD_GADRAUHT' AND EXISTS (SELECT * FROM Civilizations WHERE Type = 'CIVILIZATION_VISIGOTHS_MOD');
UPDATE Units SET Combat = 17 WHERE Type = 'UNIT_VISIGOTHS_MOD_GADRAUHT_GG' AND EXISTS (SELECT * FROM Civilizations WHERE Type = 'CIVILIZATION_VISIGOTHS_MOD');

UPDATE Units SET
	PrereqTech 		= 'TECH_CALENDAR', 
	ObsoleteTech 	= 'TECH_MACHINERY',
	Combat			= 9,
	RangedCombat	= 11,
	Cost 			= 80
WHERE Type = 'UNIT_MC_LITE_NUBIAN_APEDEMAK_ARCHER';
-- Give Gadraught and Medjay Sidearm and remove Cover (unique unit classes)
DELETE FROM Unit_FreePromotions WHERE PromotionType = 'PROMOTION_COVER_1' AND UnitType IN (SELECT Type FROM Units WHERE Class = 'UNITCLASS_GADRAUHT');
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) SELECT Type, 'PROMOTION_PROFESSIONAL_SOLDIER' FROM Units WHERE Class = 'UNITCLASS_GADRAUHT';

CREATE TRIGGER VP_GadrauhtPromotion_Replace
AFTER INSERT ON Unit_FreePromotions 
WHEN (SELECT Class FROM Units WHERE Type = NEW.UnitType) = 'UNITCLASS_GADRAUHT'
BEGIN
    DELETE FROM Unit_FreePromotions WHERE PromotionType = 'PROMOTION_COVER_1' AND UnitType = NEW.UnitType;
    INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES (NEW.UnitType, 'PROMOTION_PROFESSIONAL_SOLDIER');
END;

DELETE FROM Unit_FreePromotions WHERE PromotionType = 'PROMOTION_COVER_1' AND UnitType IN (SELECT Type FROM Units WHERE Class = 'UNITCLASS_MEDJAY');
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) SELECT Type, 'PROMOTION_PROFESSIONAL_SOLDIER' FROM Units WHERE Class = 'UNITCLASS_MEDJAY';

CREATE TRIGGER VP_MedjayPromotion_Replace
AFTER INSERT ON Unit_FreePromotions 
WHEN (SELECT Class FROM Units WHERE Type = NEW.UnitType) = 'UNITCLASS_MEDJAY'
BEGIN
    DELETE FROM Unit_FreePromotions WHERE PromotionType = 'PROMOTION_COVER_1' AND UnitType = NEW.UnitType;
    INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES (NEW.UnitType, 'PROMOTION_PROFESSIONAL_SOLDIER');
END;

INSERT INTO	Trait_FreePromotionUnitCombats
			(TraitType,						UnitCombatType, 			PromotionType)
VALUES		('TRAIT_KEEPERSOFTHEPEACE',		'UNITCOMBAT_AIRSHIP', 		'PROMOTION_ROYALCANADIANMOUNTIES'),
			('TRAIT_CHOSEN_PEOPLE',			'UNITCOMBAT_AIRSHIP', 		'PROMOTION_PROMISED_LAND'),
			('TRAIT_TA_SETI',				'UNITCOMBAT_AIRSHIP', 		'PROMOTION_NUBIA_TASETI');
				
INSERT INTO UnitPromotions_UnitCombats
	(PromotionType, UnitCombatType)
VALUES
	('PROMOTION_ROYALCANADIANMOUNTIES', 	'UNITCOMBAT_AIRSHIP'),
	('PROMOTION_PROMISED_LAND', 			'UNITCOMBAT_AIRSHIP'),
	('PROMOTION_NUBIA_TASETI', 				'UNITCOMBAT_AIRSHIP'),
	('PROMOTION_CLCOLONIALCAPITALISM', 		'UNITCOMBAT_AIRSHIP');