------------------------------
-- Buildings
------------------------------
INSERT INTO BuildingClasses 	
			(Type,							DefaultBuilding,		Description)
VALUES		('BUILDINGCLASS_TIDAL_PLANT',	'BUILDING_TIDAL_PLANT',	'TXT_KEY_BUILDING_TIDAL_PLANT');

INSERT INTO	Buildings
		(Type,					Description,						Civilopedia,							Strategy,									Help,									GoldMaintenance, Cost, HurryCostModifier, MinAreaSize, ConquestProb, BuildingClass, 				MutuallyExclusiveGroup, Water, 	NoUnhappfromXSpecialists, ArtDefineTag, PrereqTech, PortraitIndex, 	IconAtlas,						NeverCapture, CitySupplyModifier)
SELECT	'BUILDING_TIDAL_PLANT',	'TXT_KEY_BUILDING_TIDAL_PLANT', 	'TXT_KEY_BUILDING_TIDAL_PLANT_TEXT',	'TXT_KEY_BUILDING_TIDAL_PLANT_STRATEGY',	'TXT_KEY_BUILDING_TIDAL_PLANT_HELP',	GoldMaintenance, Cost, HurryCostModifier, MinAreaSize, ConquestProb, 'BUILDINGCLASS_TIDAL_PLANT', 	1, 						1, 		NoUnhappfromXSpecialists, ArtDefineTag, PrereqTech, 0,				'BUILDING_POWER_PLANTS_ATLAS',	NeverCapture, CitySupplyModifier 	
FROM Buildings WHERE Type = 'BUILDING_SOLAR_PLANT';

--Wind Plants can be built anywhere, Hydro requires Fresh Water. Solar Requires Desert.
UPDATE Buildings SET IsNoRiver = 0 WHERE Type = 'BUILDING_WIND_PLANT';
UPDATE Buildings SET NearbyTerrainRequired = 'TERRAIN_DESERT' WHERE Type = 'BUILDING_SOLAR_PLANT';
UPDATE Buildings SET FreshWater = 1 WHERE Type = 'BUILDING_HYDRO_PLANT';
------------------------------
-- IconTextureAtlases
------------------------------
INSERT INTO IconTextureAtlases 
			(Atlas, 								IconSize, 	Filename, 							IconsPerRow, 	IconsPerColumn)
VALUES		('BUILDING_POWER_PLANTS_ATLAS', 			256, 		'TidalTurbine256.dds',			1, 				1),
			('BUILDING_POWER_PLANTS_ATLAS', 			128, 		'TidalTurbine128.dds',			1, 				1),
			('BUILDING_POWER_PLANTS_ATLAS', 			64, 		'TidalTurbine064.dds',			1, 				1),
			('BUILDING_POWER_PLANTS_ATLAS', 			45, 		'TidalTurbine045.dds',			1, 				1);
--------------------------------	
-- Building_Flavors
--------------------------------	
INSERT INTO	Building_Flavors
		(BuildingType,			FlavorType,	Flavor)
SELECT	'BUILDING_TIDAL_PLANT',	FlavorType,	Flavor
FROM Building_Flavors WHERE BuildingType = 'BUILDING_SOLAR_PLANT';
------------------------------	
-- Building_ResourceQuantityRequirements
------------------------------
DELETE FROM Building_ResourceQuantityRequirements WHERE BuildingType = 'BUILDING_HYDRO_PLANT';
DELETE FROM Building_ResourceQuantityRequirements WHERE BuildingType = 'BUILDING_WIND_PLANT';
DELETE FROM Building_ResourceQuantityRequirements WHERE BuildingType = 'BUILDING_SOLAR_PLANT';

INSERT INTO Building_ResourceQuantityRequirements
	(BuildingType, ResourceType, Cost)
VALUES
	('BUILDING_TIDAL_PLANT', 	'RESOURCE_ALUMINUM', 1),
	('BUILDING_WIND_PLANT', 	'RESOURCE_ALUMINUM', 1),
	('BUILDING_HYDRO_PLANT', 	'RESOURCE_ALUMINUM', 1),
	('BUILDING_SOLAR_PLANT', 	'RESOURCE_ALUMINUM', 1);
------------------------------	
-- Building_YieldChanges
------------------------------
DELETE FROM Building_YieldChanges WHERE BuildingType = 'BUILDING_HYDRO_PLANT';
DELETE FROM Building_YieldChanges WHERE BuildingType = 'BUILDING_WIND_PLANT';
DELETE FROM Building_YieldChanges WHERE BuildingType = 'BUILDING_SOLAR_PLANT';
DELETE FROM Building_YieldChanges WHERE BuildingType = 'BUILDING_NUCLEAR_PLANT';
DELETE FROM Building_YieldChanges WHERE BuildingType = 'BUILDING_TIDAL_PLANT';

INSERT INTO Building_YieldChanges
		(BuildingType,			YieldType, 			Yield)
VALUES	('BUILDING_HYDRO_PLANT', 'YIELD_PRODUCTION', 10),
		('BUILDING_WIND_PLANT', 'YIELD_PRODUCTION', 10),
		('BUILDING_SOLAR_PLANT', 'YIELD_PRODUCTION', 10),
		('BUILDING_NUCLEAR_PLANT', 'YIELD_PRODUCTION', 20),
		('BUILDING_TIDAL_PLANT', 'YIELD_PRODUCTION', 10);
------------------------------	
-- Building_YieldModifiers
------------------------------	
UPDATE Building_YieldModifiers SET Yield = 33 WHERE BuildingType = 'BUILDING_NUCLEAR_PLANT';
UPDATE Building_YieldModifiers SET Yield = 15 WHERE BuildingType = 'BUILDING_SOLAR_PLANT';

INSERT INTO Building_YieldModifiers
		(BuildingType,				YieldType, 			Yield)
VALUES	('BUILDING_TIDAL_PLANT', 	'YIELD_PRODUCTION', 15);
------------------------------	
-- Building_YieldFromProcessModifier
------------------------------
DELETE FROM Building_YieldFromProcessModifier WHERE BuildingType = 'BUILDING_STOCKYARD';
DELETE FROM Building_YieldFromProcessModifier WHERE BuildingType = 'BUILDING_SOLAR_PLANT';

INSERT INTO Building_YieldFromProcessModifier (BuildingType, YieldType, Yield) SELECT 'BUILDING_HYDRO_PLANT', Type, 10 FROM Yields WHERE ID < 8;
INSERT INTO Building_YieldFromProcessModifier (BuildingType, YieldType, Yield) SELECT 'BUILDING_WIND_PLANT', Type, 10 FROM Yields WHERE ID < 8;
INSERT INTO Building_YieldFromProcessModifier (BuildingType, YieldType, Yield) SELECT 'BUILDING_SOLAR_PLANT', Type, 10 FROM Yields WHERE ID < 8;
INSERT INTO Building_YieldFromProcessModifier (BuildingType, YieldType, Yield) SELECT 'BUILDING_NUCLEAR_PLANT', Type, 10 FROM Yields WHERE ID < 8;
INSERT INTO Building_YieldFromProcessModifier (BuildingType, YieldType, Yield) SELECT 'BUILDING_TIDAL_PLANT', Type, 10 FROM Yields WHERE ID < 8;
------------------------------	
-- Building_ClassesNeededInCity
------------------------------
DELETE FROM Building_ClassesNeededInCity WHERE BuildingType = 'BUILDING_HYDRO_PLANT';
DELETE FROM Building_ClassesNeededInCity WHERE BuildingType = 'BUILDING_WIND_PLANT';
DELETE FROM Building_ClassesNeededInCity WHERE BuildingType = 'BUILDING_SOLAR_PLANT';
DELETE FROM Building_ClassesNeededInCity WHERE BuildingType = 'BUILDING_NUCLEAR_PLANT';
------------------------------	
-- Building_TerrainYieldChanges
------------------------------
DELETE FROM Building_LakePlotYieldChanges WHERE BuildingType = 'BUILDING_HYDRO_PLANT';
DELETE FROM Building_RiverPlotYieldChanges WHERE BuildingType = 'BUILDING_HYDRO_PLANT';
DELETE FROM Building_SeaPlotYieldChanges WHERE BuildingType = 'BUILDING_HYDRO_PLANT';
DELETE FROM Building_TerrainYieldChanges WHERE BuildingType = 'BUILDING_HYDRO_PLANT';
DELETE FROM Building_TerrainYieldChanges WHERE BuildingType = 'BUILDING_WIND_PLANT';
DELETE FROM Building_PlotYieldChanges WHERE BuildingType = 'BUILDING_WIND_PLANT';
DELETE FROM Building_TerrainYieldChanges WHERE BuildingType = 'BUILDING_SOLAR_PLANT';

INSERT INTO Building_TerrainYieldChanges
	(BuildingType, TerrainType, YieldType, Yield)
VALUES
	('BUILDING_WIND_PLANT', 	'TERRAIN_COAST', 	'YIELD_CULTURE', 		1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_COAST', 	'YIELD_PRODUCTION', 	1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_COAST', 	'YIELD_GOLD', 			1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_DESERT', 	'YIELD_CULTURE', 		1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_DESERT', 	'YIELD_PRODUCTION', 	1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_DESERT', 	'YIELD_GOLD', 			1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_GRASS', 	'YIELD_CULTURE', 		1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_GRASS', 	'YIELD_PRODUCTION', 	1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_GRASS', 	'YIELD_GOLD', 			1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_OCEAN', 	'YIELD_CULTURE', 		1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_OCEAN', 	'YIELD_PRODUCTION', 	1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_OCEAN', 	'YIELD_GOLD', 			1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_PLAINS', 	'YIELD_CULTURE', 		1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_PLAINS', 	'YIELD_PRODUCTION', 	1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_PLAINS', 	'YIELD_GOLD', 			1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_SNOW', 	'YIELD_CULTURE', 		1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_SNOW', 	'YIELD_PRODUCTION', 	1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_SNOW', 	'YIELD_GOLD', 			1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_TUNDRA', 	'YIELD_CULTURE', 		1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_TUNDRA', 	'YIELD_PRODUCTION', 	1),
	('BUILDING_WIND_PLANT', 	'TERRAIN_TUNDRA', 	'YIELD_GOLD', 			1),
	('BUILDING_SOLAR_PLANT', 	'TERRAIN_GRASS', 	'YIELD_PRODUCTION', 	1),
	('BUILDING_SOLAR_PLANT', 	'TERRAIN_PLAINS', 	'YIELD_PRODUCTION', 	1),
	('BUILDING_SOLAR_PLANT', 	'TERRAIN_TUNDRA', 	'YIELD_PRODUCTION', 	1),
	('BUILDING_SOLAR_PLANT', 	'TERRAIN_SNOW', 	'YIELD_PRODUCTION', 	1),
	('BUILDING_SOLAR_PLANT', 	'TERRAIN_GRASS', 	'YIELD_SCIENCE', 		1),
	('BUILDING_SOLAR_PLANT', 	'TERRAIN_PLAINS', 	'YIELD_SCIENCE', 		1),
	('BUILDING_SOLAR_PLANT', 	'TERRAIN_TUNDRA', 	'YIELD_SCIENCE', 		1),
	('BUILDING_SOLAR_PLANT', 	'TERRAIN_SNOW', 	'YIELD_SCIENCE', 		1),
	('BUILDING_SOLAR_PLANT', 	'TERRAIN_DESERT', 	'YIELD_PRODUCTION', 	3),
	('BUILDING_SOLAR_PLANT', 	'TERRAIN_DESERT', 	'YIELD_SCIENCE', 		3);

INSERT INTO Building_LakePlotYieldChanges
	(BuildingType, YieldType, Yield)
VALUES
	('BUILDING_HYDRO_PLANT', 'YIELD_GOLD', 			3),
	('BUILDING_HYDRO_PLANT', 'YIELD_PRODUCTION', 	3),
	('BUILDING_HYDRO_PLANT', 'YIELD_FOOD', 			3);

INSERT INTO Building_RiverPlotYieldChanges
	(BuildingType, YieldType, Yield)
VALUES	
	('BUILDING_HYDRO_PLANT', 	'YIELD_PRODUCTION', 	3),
	('BUILDING_HYDRO_PLANT', 	'YIELD_GOLD', 			3),
	('BUILDING_HYDRO_PLANT', 	'YIELD_FOOD', 			3);

INSERT INTO Building_SeaPlotYieldChanges
	(BuildingType, YieldType, Yield)
VALUES	
	('BUILDING_TIDAL_PLANT', 	'YIELD_PRODUCTION', 	2),
	('BUILDING_TIDAL_PLANT', 	'YIELD_SCIENCE', 		2),
	('BUILDING_TIDAL_PLANT', 	'YIELD_GOLD', 			2),
	('BUILDING_TIDAL_PLANT', 	'YIELD_FOOD', 			2);
--------------------------------
-- Building_GreatPersonProgressFromConstruction
--------------------------------
DELETE FROM Building_SpecialistYieldChangesLocal WHERE BuildingType = 'BUILDING_NUCLEAR_PLANT';
UPDATE Buildings SET GreatPeopleRateModifier = 25 WHERE Type = 'BUILDING_NUCLEAR_PLANT';

INSERT INTO Building_SpecialistYieldChangesLocal 	
			(BuildingType,				SpecialistType,				YieldType,			Yield)
VALUES		('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_ENGINEER',		'YIELD_PRODUCTION',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_ENGINEER',		'YIELD_SCIENCE',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_ENGINEER',		'YIELD_GOLD',		1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_ENGINEER',		'YIELD_CULTURE',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_SCIENTIST',		'YIELD_PRODUCTION',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_SCIENTIST',		'YIELD_SCIENCE',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_SCIENTIST',		'YIELD_GOLD',		1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_SCIENTIST',		'YIELD_CULTURE',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_WRITER',		'YIELD_PRODUCTION',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_WRITER',		'YIELD_SCIENCE',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_WRITER',		'YIELD_GOLD',		1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_WRITER',		'YIELD_CULTURE',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_ARTIST',		'YIELD_PRODUCTION',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_ARTIST',		'YIELD_SCIENCE',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_ARTIST',		'YIELD_GOLD',		1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_ARTIST',		'YIELD_CULTURE',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_MUSICIAN',		'YIELD_PRODUCTION',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_MUSICIAN',		'YIELD_SCIENCE',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_MUSICIAN',		'YIELD_GOLD',		1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_MUSICIAN',		'YIELD_CULTURE',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_MERCHANT',		'YIELD_PRODUCTION',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_MERCHANT',		'YIELD_SCIENCE',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_MERCHANT',		'YIELD_GOLD',		1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_MERCHANT',		'YIELD_CULTURE',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_CIVIL_SERVANT',	'YIELD_PRODUCTION',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_CIVIL_SERVANT',	'YIELD_SCIENCE',	1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_CIVIL_SERVANT',	'YIELD_GOLD',		1),
			('BUILDING_NUCLEAR_PLANT',	'SPECIALIST_CIVIL_SERVANT',	'YIELD_CULTURE',	1);
--=======================================================================================================
--TEXT
--=======================================================================================================
--------------------------------
-- Language_en_US
--------------------------------
UPDATE Language_en_US
SET Text = 'The Wind Plant is a Modern-era building. The Wind Plant increases the Production and Culture output of every Grassland and Plains tile the city works and increases the efficiency of working processes.'
WHERE Tag = 'TXT_KEY_BUILDING_WIND_PLANT_STRATEGY';

UPDATE Language_en_US
SET Text = 'All City Processes are 10% more efficient at converting [ICON_PRODUCTION] Production into Yields.[NEWLINE][NEWLINE]+1 [ICON_PRODUCTION] Production, [ICON_CULTURE] Culture, and [ICON_GOLD] Gold on every Tile.[NEWLINE][NEWLINE]Requires [ICON_RES_ALUMINUM] Aluminum to be constructed. City must not contain another energy-producing Plant.'
WHERE Tag = 'TXT_KEY_BUILDING_WIND_PLANT_HELP';

UPDATE Language_en_US
SET Text = 'All City Processes are 10% more efficient at converting [ICON_PRODUCTION] Production into Yields.[NEWLINE][NEWLINE]+3 [ICON_PRODUCTION] Production, [ICON_GOLD] Gold, and [ICON_FOOD] Food on every Lake Tile and tile next to a River.[NEWLINE][NEWLINE]Requires [ICON_RES_ALUMINUM] Aluminum to be built. City must be built next to a River. City must not contain another energy-producing Plant.'
WHERE Tag = 'TXT_KEY_BUILDING_HYDRO_PLANT_HELP';

UPDATE Language_en_US
SET Text = 'The Hydro Plant is a Modern-era building which can only be constructed in a city which is adjacent to a river. The Hydro Plant increases the [ICON_PRODUCTION] Production, [ICON_GOLD] Gold, and [ICON_FOOD] Food output of every Lake tile and any tile the city works which is adjacent to the river. The Hydro Plant also increases the efficiency of working processes.'
WHERE Tag = 'TXT_KEY_BUILDING_HYDRO_PLANT_STRATEGY';

UPDATE Language_en_US
SET Text = 'All City Processes are 10% more efficient at converting [ICON_PRODUCTION] Production into Yields.[NEWLINE][NEWLINE]+25% [ICON_GREAT_PEOPLE] Great Person Rate in this City, and all Specialists generate +1 [ICON_PRODUCTION] Production, [ICON_GOLD] Gold, [ICON_RESEARCH] Science, and [ICON_CULTURE] Culture.[NEWLINE][NEWLINE]Requires 1 [ICON_RES_URANIUM] Uranium. City must not contain another energy-producing Plant.'
WHERE Tag = 'TXT_KEY_BUILDING_NUCLEAR_PLANT_HELP';

UPDATE Language_en_US
SET Text = 'All City Processes are 10% more efficient at converting [ICON_PRODUCTION] Production into Yields.[NEWLINE][NEWLINE]+3 [ICON_PRODUCTION] Production and [ICON_RESEARCH] Science on every Desert Tile, and +1 [ICON_PRODUCTION] Production and [ICON_RESEARCH] Science on other types of Land Tiles.[NEWLINE][NEWLINE]Requires [ICON_RES_ALUMINUM] Aluminum to be built. City must be built on or next to Desert. City must not contain another energy-producing Plant.'
WHERE Tag = 'TXT_KEY_BUILDING_SOLAR_PLANT_HELP';

UPDATE Language_en_US
SET Text = 'The Solar Plant is an Atomic-era building which can only be constructed in a city near a Desert. The Solar Plant increases the [ICON_PRODUCTION] Production and [ICON_RESEARCH] Science output of every land tile the city works, but provides triple the extra yields on Desert tiles. The Solar Plant also increases the efficiency of working processes.'
WHERE Tag = 'TXT_KEY_BUILDING_SOLAR_PLANT_STRATEGY';