--==================================================
--Instant Yield Changes
--==================================================
DELETE FROM Building_InstantYield WHERE BuildingType = 'BUILDING_CIRCUS';
DELETE FROM Building_InstantYield WHERE BuildingType = 'BUILDING_STADIUM';

INSERT INTO	Building_InstantYield
			(BuildingType,				YieldType,					Yield)
VALUES		('BUILDING_CIRCUS', 		'YIELD_CULTURE',			100),
			('BUILDING_STADIUM', 		'YIELD_GOLDEN_AGE_POINTS',	2500);
			
UPDATE Language_en_US
SET Text = '+100 [ICON_CULTURE] Culture when completed, and starts 10 turns of "We Love the King Day" in the City.[NEWLINE][NEWLINE]-1 [ICON_HAPPINESS_3] Unhappiness from [ICON_CULTURE] Boredom.[NEWLINE][NEWLINE]Nearby [ICON_RES_IVORY] Ivory: +3 [ICON_CULTURE] Culture.'
WHERE Tag = 'TXT_KEY_BUILDING_CIRCUS_HELP';
--==================================================
--Refinery Changes
--==================================================
UPDATE Buildings SET 
	PrereqTech = 'TECH_PLASTIC',
	Cost = 2000
WHERE Type = 'BUILDING_COAL_PLANT';

INSERT INTO	Building_ResourceQuantity
			(BuildingType,			ResourceType, 	Quantity)
VALUES		('BUILDING_COAL_PLANT', 'RESOURCE_OIL',	1);

UPDATE Language_en_US
SET Text = 'The Refinery is a Modern-era building which can only be constructed in 5 Cities total. The Refinery helps your Production and produces 1 Coal, 1 Iron, and 1 Oil Resource, however it has a high maintenance cost. Only construct if you find yourself without these vital late-game strategic resources.'
WHERE Tag = 'TXT_KEY_BUILDING_COAL_PLANT_STRATEGY';

UPDATE Language_en_US
SET Text = 'Produces 1 [ICON_RES_COAL] Coal, [ICON_RES_IRON] Iron, and [ICON_RES_OIL] Oil.[NEWLINE][NEWLINE]Can be built in up to 5 Cities maximum.'
WHERE Tag = 'TXT_KEY_BUILDING_COAL_PLANT_HELP';
--==================================================
--Airport Changes
--==================================================
UPDATE Buildings SET 
	LandmarksTourismPercent = 0, 
	GreatWorksTourismModifier = 0
WHERE Type = 'BUILDING_AIRPORT';

UPDATE Language_en_US
SET Text = 'Allows [COLOR_POSITIVE_TEXT]Airlifts[ENDCOLOR] to or from this City. [COLOR_POSITIVE_TEXT]Increases Air Unit Capacity of the City from 2 to 6.[ENDCOLOR] +10 [ICON_STRENGTH] Damage to Air Units during Air Strikes on City.'
WHERE Tag = 'TXT_KEY_BUILDING_AIRPORT_HELP';
--==================================================
--Stadium Changes
--==================================================
UPDATE Buildings SET 
	PrereqTech = 'TECH_ATOMIC_THEORY',
	LandmarksTourismPercent = 0, 
	GreatWorksTourismModifier = 50
WHERE Type = 'BUILDING_STADIUM';

DELETE FROM Building_UnhappinessNeedsFlatReduction WHERE BuildingType = 'BUILDING_STADIUM';

UPDATE Language_en_US
SET Text = 'Build the Stadium if you are going for a [COLOR_POSITIVE_TEXT]Culture Victory[ENDCOLOR]. Provides a huge sum of Golden Age Points when completed, and increases your influence with all City-States by 20. Coordinate the construction of Stadiums across your empire for a global boost in diplomatic relations.'
WHERE Tag = 'TXT_KEY_BUILDING_STADIUM_STRATEGY';

UPDATE Language_en_US
SET Text = '+2500 [ICON_GOLDEN_AGE] Golden Age Points, and +20 [ICON_INFLUENCE] Influence with all City-States when completed, and starts 10 turns of "We Love the King Day" in the City. +1 [ICON_GOLDEN_AGE] Golden Age Point for every 2 [ICON_CITIZEN] Citizens in the City.[NEWLINE][NEWLINE][ICON_TOURISM] Tourism output from [ICON_GREAT_WORK] Great Works increased by +50%. Requires a Zoo in the City.'
WHERE Tag = 'TXT_KEY_BUILDING_STADIUM_HELP';

--==================================================
--CN Tower Changes
--==================================================
UPDATE Buildings SET 
	LandmarksTourismPercent = 25, 
	GreatWorksTourismModifier = 25,
	GlobalLandmarksTourismPercent = 25, 
	GlobalGreatWorksTourismModifier = 25
WHERE Type = 'BUILDING_CN_TOWER';

UPDATE Language_en_US
SET Text = '+1 [ICON_HAPPINESS_1] Happiness in every City. Provides a [COLOR_POSITIVE_TEXT]Free[ENDCOLOR] Broadcast Tower in the City in which it is built.[NEWLINE][NEWLINE]All [ICON_GREAT_WORK] Great Works gain +2 [ICON_GOLD] Gold and [ICON_TOURISM] Tourism. 25% of the [ICON_CULTURE] Culture from World Wonders, Natural Wonders, and Tiles is added to the [ICON_TOURISM] Tourism output of all Cities, and an additional 25% to this City. [ICON_TOURISM] Tourism output from [ICON_GREAT_WORK] Great Works in all Cities increased by +25%, and an additional 25% in this City.'
WHERE Tag = 'TXT_KEY_WONDER_CN_TOWER_HELP';
--==================================================
--Tech Changes
--==================================================
DELETE FROM Improvement_TechYieldChanges WHERE TechType = 'TECH_TELECOM' AND ImprovementType = 'IMPROVEMENT_LANDMARK';
DELETE FROM Tech_SpecialistYieldChanges WHERE TechType = 'TECH_SATELLITES';

INSERT INTO	Tech_SpecialistYieldChanges
			(TechType,			SpecialistType,			YieldType,			Yield)
VALUES		('TECH_TELECOM', 	'SPECIALIST_MUSICIAN',	'YIELD_CULTURE',	2);
--==================================================
--Add new Late Game Interpretive Centre Building
--==================================================
------------------------------
-- Delete the old Tourism Centre
------------------------------
DELETE FROM BuildingClasses WHERE Type = 'BUILDINGCLASS_TOURIST_CENTER';
DELETE FROM Buildings WHERE Type = 'BUILDING_TOURIST_CENTER';
DELETE FROM Building_ClassesNeededInCity WHERE BuildingType = 'BUILDING_TOURIST_CENTER';
------------------------------
-- Interpretive Centre Building
------------------------------
INSERT INTO BuildingClasses 	
			(Type,									DefaultBuilding,				Description)
VALUES		('BUILDINGCLASS_INTERPRETIVE_CENTER',	'BUILDING_INTERPRETIVE_CENTER',	'TXT_KEY_BUILDING_INTERPRETIVE_CENTER');

INSERT INTO	Buildings
		(Type,								Description,							Civilopedia,									Strategy,											Help,											GoldMaintenance, 	Cost, HurryCostModifier, 	MinAreaSize, 	ConquestProb, 	BuildingClass, 							ArtDefineTag, 						PrereqTech, 	PortraitIndex, 	IconAtlas)
VALUES	('BUILDING_INTERPRETIVE_CENTER',	'TXT_KEY_BUILDING_INTERPRETIVE_CENTER', 'TXT_KEY_BUILDING_INTERPRETIVE_CENTER_TEXT',	'TXT_KEY_BUILDING_INTERPRETIVE_CENTER_STRATEGY',	'TXT_KEY_BUILDING_INTERPRETIVE_CENTER_HELP',	10, 				2250, 25, 					-1, 			66, 			'BUILDINGCLASS_INTERPRETIVE_CENTER', 	'ART_DEF_BUILDING_TOURIST_CENTER', 	'TECH_TELECOM', 1,				'EXPANSION2_WONDER_ATLAS');

UPDATE Buildings SET 
	Happiness = 2,
	LandmarksTourismPercent = 50, 
	GreatWorksTourismModifier = 0
WHERE Type = 'BUILDING_INTERPRETIVE_CENTER';

INSERT INTO	Building_Flavors
		(BuildingType,					FlavorType,	Flavor)
SELECT	'BUILDING_INTERPRETIVE_CENTER',	FlavorType,	Flavor+10
FROM Building_Flavors WHERE BuildingType = 'BUILDINGCLASS_HOTEL';

INSERT INTO Building_ClassesNeededInCity 	
		(BuildingType, 						BuildingClassType)
VALUES	('BUILDING_INTERPRETIVE_CENTER',	'BUILDINGCLASS_HOTEL');

INSERT INTO Building_ImprovementYieldChangesGlobal	
			(BuildingType, 						ImprovementType,		YieldType,			Yield)
VALUES		('BUILDING_INTERPRETIVE_CENTER',	'IMPROVEMENT_LANDMARK',	'YIELD_CULTURE',	1),
			('BUILDING_INTERPRETIVE_CENTER',	'IMPROVEMENT_LANDMARK',	'YIELD_TOURISM',	1);
------------------------------
-- New Text
------------------------------
INSERT INTO Language_en_US (Tag, Text)
VALUES	('TXT_KEY_BUILDING_INTERPRETIVE_CENTER',			'Interpretive Center'),
		('TXT_KEY_BUILDING_INTERPRETIVE_CENTER_TEXT',		'An interpretive centre is an institution for public education about a nearby cultural, historic, or natural sites. Unlike museums, interpretive centers rarely contain artifacts or collections, but mainly exist to give visitors background information for understanding the history or relevance of something on the landscape. Because preservation and protection is not part of an interpretive center''s job, they can often be more interactive and make better use of modern media than traditional museums.'),
		('TXT_KEY_BUILDING_INTERPRETIVE_CENTER_STRATEGY',	'The Interpretive Centre greatly increases the power of Landmark improvements, and converts Culture from tiles into Tourism, greatly aiding a Cultural Victory.'),
		('TXT_KEY_BUILDING_INTERPRETIVE_CENTER_HELP',		'50% of the [ICON_CULTURE] Culture from World Wonders, Natural Wonders, and Tiles is added to the [ICON_TOURISM] Tourism output of the City. +1 [ICON_CULTURE] Culture and [ICON_TOURISM] Tourism to all Landmarks on Empire.');
