--=====================================================================================	
-- PROMOTION CHANGES
--=====================================================================================
------------------------------	
-- Rough Terrain Penalty on Chariots
------------------------------
UPDATE UnitPromotions SET OpenFromMod = 0 WHERE Type = 'PROMOTION_ROUGH_TERRAIN_HALF_TURN';
UPDATE UnitPromotions SET RoughFromMod = 0 WHERE Type = 'PROMOTION_ROUGH_TERRAIN_HALF_TURN';

INSERT INTO UnitPromotions_Features
		(PromotionType, 						FeatureType, 		ExtraMove)
VALUES	('PROMOTION_ROUGH_TERRAIN_HALF_TURN', 	'FEATURE_FOREST', 	1),
		('PROMOTION_ROUGH_TERRAIN_HALF_TURN', 	'FEATURE_JUNGLE', 	1),
		('PROMOTION_ROUGH_TERRAIN_HALF_TURN', 	'FEATURE_MARSH', 	1);

INSERT INTO UnitPromotions_Terrains
		(PromotionType, 						TerrainType, 	ExtraMove)
VALUES	('PROMOTION_ROUGH_TERRAIN_HALF_TURN', 	'TERRAIN_HILL', 1);

UPDATE Language_en_US
SET Text = 'Beam Axle'
WHERE Tag = 'TXT_KEY_PROMOTION_ROUGH_TERRAIN_HALF_TURN';

UPDATE Language_en_US
SET Text = 'Rough Terrain (Forest, Jungle, Marsh, Hills) costs an additional movement point to cross.'
WHERE Tag = 'TXT_KEY_PROMOTION_ROUGH_TERRAIN_HALF_TURN_HELP';
------------------------------	
-- All Skirmisher line units get ranged defense
------------------------------
INSERT INTO UnitPromotions 
			(Type, 								Description, 							Help, 											Sound, 					FlankAttackModifier,	DefenseMod, RangedDefenseMod,	IgnoreZOC,	LostWithUpgrade,	CannotBeChosen, PortraitIndex, 	IconAtlas, 			PediaType, 		PediaEntry)
VALUES		('PROMOTION_SKIRMISHER_DEFENSE',	'TXT_KEY_PROMOTION_SKIRMISHER_DEFENSE',	'TXT_KEY_PROMOTION_SKIRMISHER_DEFENSE_HELP', 	'AS2D_IF_LEVELUP',		0,						0,			50,					0,			0,					1, 				22, 			'extraPromo_Atlas', 'PEDIA_RANGED', 'TXT_KEY_PROMOTION_SKIRMISHER_DEFENSE');

INSERT INTO Language_en_US (Tag, Text)
VALUES
	('TXT_KEY_PROMOTION_SKIRMISHER_DEFENSE',		'Moving Target'),
	('TXT_KEY_PROMOTION_SKIRMISHER_DEFENSE_HELP',	'+50% [ICON_STRENGTH] Combat Strength when defending against all [COLOR_POSITIVE_TEXT]Ranged Attacks[ENDCOLOR].');
--=====================================================================================	
-- SKIRMISHER LINE CHANGES
--=====================================================================================
DELETE FROM Unit_FreePromotions WHERE PromotionType = 'PROMOTION_ROUGH_TERRAIN_HALF_TURN';

INSERT INTO Unit_FreePromotions
		(UnitType,							PromotionType)
VALUES	('UNIT_CHARIOT_ARCHER', 			'PROMOTION_ROUGH_TERRAIN_HALF_TURN'),
		('UNIT_EGYPTIAN_WARCHARIOT', 		'PROMOTION_ROUGH_TERRAIN_HALF_TURN'),
--		('UNIT_CHARIOT_ARCHER', 			'PROMOTION_SKIRMISHER_DEFENSE'),
--		('UNIT_EGYPTIAN_WARCHARIOT', 		'PROMOTION_SKIRMISHER_DEFENSE'),
		('UNIT_MONGOLIAN_KESHIK', 			'PROMOTION_SKIRMISHER_DEFENSE'),
		('UNIT_HUN_HORSE_ARCHER', 			'PROMOTION_SKIRMISHER_DEFENSE'),
		('UNIT_MOUNTED_BOWMAN', 			'PROMOTION_SKIRMISHER_DEFENSE'),
		('UNIT_ARABIAN_CAMELARCHER', 		'PROMOTION_SKIRMISHER_DEFENSE'),
		('UNIT_CUIRASSIER', 				'PROMOTION_SKIRMISHER_DEFENSE'),
		('UNIT_AUSTRIAN_HUSSAR', 			'PROMOTION_SKIRMISHER_DEFENSE'),
		('UNIT_INDIAN_WARELEPHANT', 		'PROMOTION_SKIRMISHER_DEFENSE'),
		('UNIT_CAVALRY', 					'PROMOTION_SKIRMISHER_DEFENSE'),
		('UNIT_BERBER_CAVALRY', 			'PROMOTION_SKIRMISHER_DEFENSE'),
		('UNIT_SHOSHONE_COMANCHE_RIDERS', 	'PROMOTION_SKIRMISHER_DEFENSE'),
		('UNIT_RUSSIAN_COSSACK', 			'PROMOTION_SKIRMISHER_DEFENSE'),
		('UNIT_ANTI_TANK_GUN', 				'PROMOTION_SKIRMISHER_DEFENSE'),
		('UNIT_HELICOPTER_GUNSHIP', 		'PROMOTION_SKIRMISHER_DEFENSE');

UPDATE Units SET Moves = 4 WHERE Type = 'UNIT_CHARIOT_ARCHER';
UPDATE Units SET Moves = 4 WHERE Type = 'UNIT_EGYPTIAN_WARCHARIOT';		
UPDATE Units SET Moves = 5 WHERE Type = 'UNIT_MONGOLIAN_KESHIK';
UPDATE Units SET Moves = 5 WHERE Type = 'UNIT_HUN_HORSE_ARCHER';
UPDATE Units SET Moves = 5 WHERE Type = 'UNIT_MOUNTED_BOWMAN';
UPDATE Units SET Moves = 5 WHERE Type = 'UNIT_ARABIAN_CAMELARCHER';
UPDATE Units SET Moves = 5 WHERE Type = 'UNIT_CUIRASSIER';
UPDATE Units SET Moves = 5 WHERE Type = 'UNIT_AUSTRIAN_HUSSAR';
UPDATE Units SET Moves = 3 WHERE Type = 'UNIT_INDIAN_WARELEPHANT';
UPDATE Units SET Moves = 5 WHERE Type = 'UNIT_CAVALRY';
UPDATE Units SET Moves = 5 WHERE Type = 'UNIT_BERBER_CAVALRY';
UPDATE Units SET Moves = 5 WHERE Type = 'UNIT_SHOSHONE_COMANCHE_RIDERS';
UPDATE Units SET Moves = 5 WHERE Type = 'UNIT_RUSSIAN_COSSACK';
UPDATE Units SET Moves = 5 WHERE Type = 'UNIT_ANTI_TANK_GUN';
UPDATE Units SET Moves = 6 WHERE Type = 'UNIT_HELICOPTER_GUNSHIP';

UPDATE Units SET Combat = 8 WHERE Type = 'UNIT_CHARIOT_ARCHER';
UPDATE Units SET Combat = 8 WHERE Type = 'UNIT_EGYPTIAN_WARCHARIOT';
UPDATE Units SET Combat = 12 WHERE Type = 'UNIT_MONGOLIAN_KESHIK';
UPDATE Units SET Combat = 13 WHERE Type = 'UNIT_HUN_HORSE_ARCHER';
UPDATE Units SET Combat = 18 WHERE Type = 'UNIT_MOUNTED_BOWMAN';
UPDATE Units SET Combat = 20 WHERE Type = 'UNIT_ARABIAN_CAMELARCHER';
UPDATE Units SET Combat = 27 WHERE Type = 'UNIT_CUIRASSIER';
UPDATE Units SET Combat = 28 WHERE Type = 'UNIT_AUSTRIAN_HUSSAR';
UPDATE Units SET Combat = 30 WHERE Type = 'UNIT_INDIAN_WARELEPHANT';
UPDATE Units SET Combat = 40 WHERE Type = 'UNIT_CAVALRY';
UPDATE Units SET Combat = 42 WHERE Type = 'UNIT_BERBER_CAVALRY';
UPDATE Units SET Combat = 41 WHERE Type = 'UNIT_SHOSHONE_COMANCHE_RIDERS';
UPDATE Units SET Combat = 44 WHERE Type = 'UNIT_RUSSIAN_COSSACK';
UPDATE Units SET Combat = 58 WHERE Type = 'UNIT_ANTI_TANK_GUN';
UPDATE Units SET Combat = 70 WHERE Type = 'UNIT_HELICOPTER_GUNSHIP';

UPDATE Units SET RangedCombat = 8 WHERE Type = 'UNIT_CHARIOT_ARCHER';
UPDATE Units SET RangedCombat = 9 WHERE Type = 'UNIT_EGYPTIAN_WARCHARIOT';
UPDATE Units SET RangedCombat = 7 WHERE Type = 'UNIT_MONGOLIAN_KESHIK';
UPDATE Units SET RangedCombat = 9 WHERE Type = 'UNIT_HUN_HORSE_ARCHER';
UPDATE Units SET RangedCombat = 14 WHERE Type = 'UNIT_MOUNTED_BOWMAN';
UPDATE Units SET RangedCombat = 16 WHERE Type = 'UNIT_ARABIAN_CAMELARCHER';
UPDATE Units SET RangedCombat = 22 WHERE Type = 'UNIT_CUIRASSIER';
UPDATE Units SET RangedCombat = 23 WHERE Type = 'UNIT_AUSTRIAN_HUSSAR';
UPDATE Units SET RangedCombat = 30 WHERE Type = 'UNIT_INDIAN_WARELEPHANT';
UPDATE Units SET RangedCombat = 31 WHERE Type = 'UNIT_CAVALRY';
UPDATE Units SET RangedCombat = 34 WHERE Type = 'UNIT_BERBER_CAVALRY';
UPDATE Units SET RangedCombat = 35 WHERE Type = 'UNIT_SHOSHONE_COMANCHE_RIDERS';
UPDATE Units SET RangedCombat = 37 WHERE Type = 'UNIT_RUSSIAN_COSSACK';
UPDATE Units SET RangedCombat = 58 WHERE Type = 'UNIT_ANTI_TANK_GUN';
UPDATE Units SET RangedCombat = 70 WHERE Type = 'UNIT_HELICOPTER_GUNSHIP';

