--==========================================================================================================================
-- ARTDEFINES
--==========================================================================================================================	
------------------------------
-- ArtDefine_StrategicView
------------------------------
INSERT INTO ArtDefine_StrategicView 
			(StrategicViewType, 		TileType,	Asset)
VALUES		('ART_DEF_UNIT_VP_SLINGER',	'Unit',		'Slinger_SV_128.dds');
------------------------------
-- ArtDefine_UnitInfos
------------------------------		
INSERT INTO ArtDefine_UnitInfos 
			(Type,						DamageStates,	Formation)
SELECT		'ART_DEF_UNIT_VP_SLINGER', 	DamageStates, 	Formation
FROM ArtDefine_UnitInfos WHERE Type = 'ART_DEF_UNIT_U_INCAN_SLINGER';
------------------------------
-- ArtDefine_UnitInfoMemberInfos
------------------------------
INSERT INTO ArtDefine_UnitInfoMemberInfos 	
			(UnitInfoType,				UnitMemberInfoType,					NumMembers)
SELECT		'ART_DEF_UNIT_VP_SLINGER', 	'ART_DEF_UNIT_MEMBER_VP_SLINGER',	NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE UnitInfoType = 'ART_DEF_UNIT_U_INCAN_SLINGER';
------------------------------
-- ArtDefine_UnitMemberCombats
------------------------------
INSERT INTO ArtDefine_UnitMemberCombats 
			(UnitMemberType,					EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT		'ART_DEF_UNIT_MEMBER_VP_SLINGER',	EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
FROM ArtDefine_UnitMemberCombats WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_U_INCAN_SLINGER';
------------------------------
-- ArtDefine_UnitMemberCombatWeapons
------------------------------
INSERT INTO ArtDefine_UnitMemberCombatWeapons	
			(UnitMemberType,					"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT		'ART_DEF_UNIT_MEMBER_VP_SLINGER',	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_U_INCAN_SLINGER';
------------------------------
-- ArtDefine_UnitMemberInfos
------------------------------
INSERT INTO ArtDefine_UnitMemberInfos 	
		(Type, 								Scale, ZOffset, Domain, Model, 						MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_VP_SLINGER',	Scale, ZOffset, Domain, 'hebrew_slinger.fxsxml',	MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE Type = 'ART_DEF_UNIT_MEMBER_U_INCAN_SLINGER';
--==========================================================================================================================	
-- UNITS
--==========================================================================================================================
--------------------------------
-- UnitClasses
--------------------------------
INSERT INTO UnitClasses
		(Type, 						Description, 				DefaultUnit)
VALUES	('UNITCLASS_VP_SLINGER', 	'TXT_KEY_UNIT_VP_SLINGER', 	'UNIT_VP_SLINGER');
--------------------------------
-- Units
--------------------------------	
INSERT INTO Units 	
			(Type,				Class,					PrereqTech,			Range,	BaseSightRange, Combat,	RangedCombat,	Cost, 	FaithCost, 	RequiresFaithPurchaseEnabled, Moves, Immobile, CombatClass, Domain, DefaultUnitAI,	ObsoleteTech,		GoodyHutUpgradeUnitClass,	XPValueAttack,	BaseLandAirDefense,	Description, 				Civilopedia, 					Strategy, 							Help, 							Pillage, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AirUnitCap, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueDefense, UnitArtInfo, 				UnitFlagIconOffset, UnitFlagAtlas,			PortraitIndex, 	IconAtlas,			MoveRate, PurchaseCooldown)
SELECT		'UNIT_VP_SLINGER',	'UNITCLASS_VP_SLINGER',	'TECH_AGRICULTURE',	1,		BaseSightRange, 6,		6,				45, 	100, 		RequiresFaithPurchaseEnabled, Moves, Immobile, CombatClass, Domain, DefaultUnitAI,	'TECH_CALENDAR',	'UNITCLASS_ARCHER',			XPValueAttack,	BaseLandAirDefense,	'TXT_KEY_UNIT_VP_SLINGER',	'TXT_KEY_UNIT_VP_SLINGER_TEXT',	'TXT_KEY_UNIT_VP_SLINGER_STRATEGY',	'TXT_KEY_UNIT_VP_SLINGER_HELP',	Pillage, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AirUnitCap, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueDefense, 'ART_DEF_UNIT_VP_SLINGER', 	0,					'SLINGER_FLAG_ATLAS',	0, 				'VP_SLINGER_ATLAS',	MoveRate, PurchaseCooldown
FROM Units WHERE Type = 'UNIT_ARCHER';
--------------------------------	
-- UnitGameplay2DScripts
--------------------------------		
INSERT INTO UnitGameplay2DScripts 	
			(UnitType, 			SelectionSound, FirstSelectionSound)
SELECT		'UNIT_VP_SLINGER', 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_ARCHER';	
--------------------------------	
-- Unit_AITypes
--------------------------------		
INSERT INTO Unit_AITypes 	
			(UnitType, 			UnitAIType)
SELECT		'UNIT_VP_SLINGER', 	UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_ARCHER';
--------------------------------	
-- Unit_ClassUpgrades
--------------------------------		
INSERT INTO Unit_ClassUpgrades 	
			(UnitType, 			UnitClassType)
VALUES		('UNIT_VP_SLINGER', 'UNITCLASS_ARCHER');
--------------------------------	
-- Unit_Flavors
--------------------------------		
INSERT INTO Unit_Flavors 	
			(UnitType, 			FlavorType,				Flavor)
VALUES		('UNIT_VP_SLINGER',	'FLAVOR_OFFENSE',		2),
			('UNIT_VP_SLINGER',	'FLAVOR_DEFENSE',		4),
			('UNIT_VP_SLINGER',	'FLAVOR_RANGED',		6);
--------------------------------
-- Unit_FreePromotions
--------------------------------
INSERT INTO Unit_FreePromotions 	
			(UnitType, 			PromotionType)
SELECT		'UNIT_VP_SLINGER', 	PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_ARCHER';
--------------------------------
-- Text
--------------------------------
INSERT INTO Language_en_US (Tag, Text)
VALUES
	('TXT_KEY_UNIT_VP_SLINGER',				'Slinger'),
	('TXT_KEY_UNIT_VP_SLINGER_TEXT',		'Like most early weapon systems, the sling evolved from a tool for hunting game to one for killing people. Simply a pouch between two lengths of cord, the sling was used to swing a projectile – a stone, lump of lead, or anything else convenient – in an arc until it was launched. Although a thrown stone doesn’t have the lethality of an arrow or bullet, it can still do a lot of damage. If nothing else, a rain of well-aimed stones gives an enemy pause before rushing in. In addition, it wasn’t hard to find ammunition. With the exception of Australia, ancient slings have been found in archaeological digs all over the world. Slings are cheap, portable, and as the First Book of Samuel points out, a slinger can bring down even a Goliath...'),
	('TXT_KEY_UNIT_VP_SLINGER_STRATEGY',	'Slingers are the first ranged unit available in the game. Although they lack damage and range, a Slinger can still prevent a barbarian encampment from healing, and gives you a cheap, early option for fighting off small waves of invading barbarians.'),
	('TXT_KEY_UNIT_VP_SLINGER_HELP',		'First Ranged unit, available from the start of the Game.');
	
UPDATE Language_en_US
SET Text = 'Ancient Era unit with a Ranged attack.'
WHERE Tag = 'TXT_KEY_UNIT_HELP_ARCHER';

UPDATE Language_en_US
SET Text = 'The Archer is an early ranged unit. It is the first in the unit line to have 2 range, allowing it to initiate fights and keep away from melee attackers. Use archers to soften up stargets before a melee strike.'
WHERE Tag = 'TXT_KEY_UNIT_ARCHER_STRATEGY';
--==========================================================================================================================
--COMPATIBILITY
--==========================================================================================================================
--Change Archer and Composite Bowman Techs and stats
UPDATE Units SET
	PrereqTech 		= 'TECH_CALENDAR', 
	ObsoleteTech 	= 'TECH_CURRENCY',
	Combat			= 7,
	RangedCombat	= 9,
	Cost 			= 70
WHERE Type = 'UNIT_ARCHER';

UPDATE Units SET
	PrereqTech 		= 'TECH_CALENDAR',
	Combat			= 6,
	RangedCombat	= 9,
	Cost 			= 70
WHERE Type = 'UNIT_BARBARIAN_ARCHER';

UPDATE Units SET
	PrereqTech 		= 'TECH_CURRENCY', 
	Combat			= 12,
	RangedCombat	= 14,
	Cost 			= 110
WHERE Type = 'UNIT_COMPOSITE_BOWMAN';

UPDATE Units SET
	PrereqTech 		= 'TECH_MATHEMATICS'
WHERE Type = 'UNIT_CATAPULT';

UPDATE Builds SET
	PrereqTech 		= 'TECH_TRAPPING'
WHERE Type = 'BUILD_REMOVE_JUNGLE';
--==========================================================================================================================	
-- CIVILIZATIONS
--==========================================================================================================================	
-- Update Civilizations with unique versions of these units 
--------------------------------		
INSERT INTO Civilization_UnitClassOverrides 
			(CivilizationType, 			UnitClassType, 			UnitType)
VALUES		('CIVILIZATION_BARBARIAN',	'UNITCLASS_VP_SLINGER', null);

UPDATE Civilization_UnitClassOverrides SET UnitClassType = 'UNITCLASS_VP_SLINGER' WHERE UnitType = 'UNIT_INCAN_SLINGER';
UPDATE Unit_ClassUpgrades SET UnitClassType = 'UNITCLASS_ARCHER' WHERE UnitType = 'UNIT_INCAN_SLINGER';
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_INCAN_SLINGER' and PromotionType = 'PROMOTION_WITHDRAW_BEFORE_MELEE';

UPDATE Units SET
	Class 			= 'UNITCLASS_VP_SLINGER',
	PrereqTech 		= 'TECH_AGRICULTURE', 
	ObsoleteTech 	= 'TECH_CURRENCY',
	Range 			= 2,
	Combat			= 7,
	RangedCombat	= 7,
	Cost 			= 45,
	GoodyHutUpgradeUnitClass = 'UNITCLASS_ARCHER'
WHERE Type = 'UNIT_INCAN_SLINGER';

UPDATE Language_en_US
SET Text = 'Waraq''Ak'
WHERE Tag = 'TXT_KEY_UNIT_INCAN_SLINGER';

UPDATE Language_en_US
SET Text = 'This Incan Unique Unit replaces the Slinger. Has increased [ICON_RANGE_STRENGTH] Attack Range and can daze enemy units, lowering their [ICON_STRENGTH] Combat Strength.'
WHERE Tag = 'TXT_KEY_CIV5_INCA_SLINGER_HELP';

UPDATE Language_en_US
SET Text = 'The Waraq''Ak is an Ancient Era ranged infantry Unit that can strike foes from afar. This Incan Unique Unit can daze enemy units; use it to harass your foes and take down Barbarian camps quickly.'
WHERE Tag = 'TXT_KEY_CIV5_INCA_SLINGER_STRATEGY';

UPDATE Civilization_UnitClassOverrides SET UnitClassType = 'UNITCLASS_ARCHER' WHERE UnitType = 'UNIT_BABYLONIAN_BOWMAN';
UPDATE Unit_ClassUpgrades SET UnitClassType = 'UNITCLASS_COMPOSITE_BOWMAN' WHERE UnitType = 'UNIT_BABYLONIAN_BOWMAN';

UPDATE Units SET
	Class 			= 'UNITCLASS_ARCHER',
	PrereqTech 		= 'TECH_CALENDAR', 
	ObsoleteTech 	= 'TECH_MACHINERY',
	Combat			= 9,
	RangedCombat	= 10,
	Cost 			= 70,
	FaithCost 		= 100,
	GoodyHutUpgradeUnitClass = 'UNITCLASS_COMPOSITE_BOWMAN'
WHERE Type = 'UNIT_BABYLONIAN_BOWMAN';

UPDATE Language_en_US
SET Text = 'This Babylonian Unique Unit replaces the Archer. The Bowman is stronger and can better withstand melee attacks than the standard Archer. Starts with the [COLOR_POSITIVE_TEXT]Indirect Fire[ENDCOLOR] promotion.'
WHERE Tag = 'TXT_KEY_CIV5_BABYLON_BOWMAN_HELP';

UPDATE Language_en_US
SET Text = 'The Bowman is the Babylonian Unique Unit, replacing the Archer. This Unit is defensively stronger than the Archer, allowing placement in the front line. The Bowman''s improved combat prowess helps ameliorate any concern that it may be quickly overrun.'
WHERE Tag = 'TXT_KEY_CIV5_BABYLON_BOWMAN_STRATEGY';

UPDATE Units SET
	Combat			= 13,
	RangedCombat	= 14,
	Cost 			= 100
WHERE Type = 'UNIT_MAYAN_ATLATLIST';

UPDATE Language_en_US
SET Text = 'Only the Maya may build this unit. It is available sooner than the Composite Bowman, which it replaces, and inflicts bonus damage when it attacks wounded units.'
WHERE Tag = 'TXT_KEY_UNIT_HELP_MAYAN_ATLATLIST';

UPDATE Language_en_US
SET Text = 'The Atlatlist is the Mayan unique unit, replacing the Composite Bowman. Atlatlists are cheaper and available earlier than Composite Bowmen, and gain bonus damage from attacking wounded units. This advantage allows your archers to engage in hit-and-run skirmish tactics.'
WHERE Tag = 'TXT_KEY_UNIT_MAYAN_ATLATLIST_STRATEGY';

--==========================================================================================================================
--==========================================================================================================================
------------------------------
-- IconTextureAtlases
------------------------------
INSERT INTO IconTextureAtlases 
			(Atlas, 					IconSize, 	Filename, 			IconsPerRow, 	IconsPerColumn)
VALUES		('VP_SLINGER_ATLAS', 		256, 		'Slinger_256.dds',	1, 				1),
			('VP_SLINGER_ATLAS', 		128, 		'Slinger_128.dds',	1, 				1),
			('VP_SLINGER_ATLAS', 		80, 		'Slinger_080.dds',	1, 				1),
			('VP_SLINGER_ATLAS', 		64, 		'Slinger_064.dds',	1, 				1),
			('VP_SLINGER_ATLAS', 		45, 		'Slinger_045.dds',	1, 				1),
			('SLINGER_FLAG_ATLAS', 		32, 		'Slinger_Flag.dds',	1, 				1);