--=====================================================================================	
-- ANCIENT/CLASSICAL UNIT REWORK
--=====================================================================================
------------------------------	
-- Swordsmen Cover replaced with Sidearm (flanking + defense)
------------------------------
INSERT INTO UnitPromotions 
			(Type, 								Description, 								Help, 											Sound, 					FlankAttackModifier,	DefenseMod, RangedDefenseMod,	MaxHitPointsChange,	LostWithUpgrade,	CannotBeChosen, PortraitIndex, 	IconAtlas, 			PediaType, 		PediaEntry)
VALUES		('PROMOTION_PROFESSIONAL_SOLDIER',	'TXT_KEY_PROMOTION_PROFESSIONAL_SOLDIER',	'TXT_KEY_PROMOTION_PROFESSIONAL_SOLDIER_HELP', 	'AS2D_IF_LEVELUP',		0,						0,			10,					10,					1,					1, 				39, 			'extraPromo_Atlas', 'PEDIA_MELEE', 	'TXT_KEY_PROMOTION_PROFESSIONAL_SOLDIER');

INSERT INTO Language_en_US (Tag, Text)
VALUES	('TXT_KEY_PROMOTION_PROFESSIONAL_SOLDIER',		'Professional Soldier'),
		('TXT_KEY_PROMOTION_PROFESSIONAL_SOLDIER_HELP',	'+10% [ICON_STRENGTH] Combat Strength when defending against all [COLOR_POSITIVE_TEXT]Ranged Attacks[ENDCOLOR].[NEWLINE]+10 Hit Points.');
--replace all Cover I promotions on Swordsmen and Longswords
DELETE FROM Unit_FreePromotions WHERE PromotionType = 'PROMOTION_COVER_1' AND UnitType IN (SELECT Type FROM Units WHERE Class = 'UNITCLASS_SWORDSMAN');
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) SELECT Type, 'PROMOTION_PROFESSIONAL_SOLDIER' FROM Units WHERE Class = 'UNITCLASS_SWORDSMAN';

--Add back Cover I onto Legion and delete Cover II
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_ROMAN_LEGION' AND PromotionType = 'PROMOTION_COVER_2';
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES ('UNIT_ROMAN_LEGION', 'PROMOTION_COVER_1');

CREATE TRIGGER VP_SwordsmanPromotion_Replace
AFTER INSERT ON Unit_FreePromotions 
WHEN (SELECT Class FROM Units WHERE Type = NEW.UnitType) = 'UNITCLASS_SWORDSMAN'
BEGIN
    DELETE FROM Unit_FreePromotions WHERE PromotionType = 'PROMOTION_COVER_1' AND UnitType = NEW.UnitType;
    INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES (NEW.UnitType, 'PROMOTION_PROFESSIONAL_SOLDIER');
END;

DELETE FROM Unit_FreePromotions WHERE PromotionType = 'PROMOTION_COVER_1' AND UnitType IN (SELECT Type FROM Units WHERE Class = 'UNITCLASS_LONGSWORDSMAN');
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) SELECT Type, 'PROMOTION_PROFESSIONAL_SOLDIER' FROM Units WHERE Class = 'UNITCLASS_LONGSWORDSMAN';

CREATE TRIGGER VP_LongswordPromotion_Replace
AFTER INSERT ON Unit_FreePromotions 
WHEN (SELECT Class FROM Units WHERE Type = NEW.UnitType) = 'UNITCLASS_LONGSWORDSMAN'
BEGIN
    DELETE FROM Unit_FreePromotions WHERE PromotionType = 'PROMOTION_COVER_1' AND UnitType = NEW.UnitType;
    INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES (NEW.UnitType, 'PROMOTION_PROFESSIONAL_SOLDIER');
END;

INSERT INTO Unit_FreePromotions (UnitType, PromotionType) SELECT Type, 'PROMOTION_PROFESSIONAL_SOLDIER' FROM Units WHERE Class = 'UNITCLASS_TERCIO';
UPDATE Units SET Combat = Combat - 1 WHERE Class = 'UNITCLASS_TERCIO';

CREATE TRIGGER VP_Tercio_Professionalization
AFTER INSERT ON Unit_FreePromotions 
WHEN (SELECT Class FROM Units WHERE Type = NEW.UnitType) = 'UNITCLASS_TERCIO'
BEGIN
    INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES (NEW.UnitType, 'PROMOTION_PROFESSIONAL_SOLDIER');
	UPDATE Units SET Combat = Combat - 1 WHERE Type = NEW.UnitType;
END;

--reset all Ancient/Classical unit CS
UPDATE Units SET Combat = 6 WHERE Type = 'UNIT_SHOSHONE_PATHFINDER';
UPDATE Units SET Combat = 8 WHERE Type = 'UNIT_WARRIOR';
UPDATE Units SET Combat = 8 WHERE Type = 'UNIT_BARBARIAN_WARRIOR';
UPDATE Units SET Combat = 10 WHERE Type = 'UNIT_AZTEC_JAGUAR';
UPDATE Units SET Combat = 12 WHERE Type = 'UNIT_SPEARMAN';
UPDATE Units SET Combat = 12 WHERE Type = 'UNIT_BARBARIAN_SPEARMAN';
UPDATE Units SET Combat = 13 WHERE Type = 'UNIT_PERSIAN_IMMORTAL';
UPDATE Units SET Combat = 13 WHERE Type = 'UNIT_CELT_PICTISH_WARRIOR';
UPDATE Units SET Combat = 10 WHERE Type = 'UNIT_SCOUT';
UPDATE Units SET Combat = 16 WHERE Type = 'UNIT_SWORDSMAN';
UPDATE Units SET Combat = 15 WHERE Type = 'UNIT_BARBARIAN_SWORDSMAN';
UPDATE Units SET Combat = 16 WHERE Type = 'UNIT_KRIS_SWORDSMAN';
UPDATE Units SET Combat = 17 WHERE Type = 'UNIT_IROQUOIAN_MOHAWKWARRIOR';
UPDATE Units SET Combat = 18 WHERE Type = 'UNIT_ROMAN_LEGION';
UPDATE Units SET Combat = 22 WHERE Type = 'UNIT_POLYNESIAN_MAORI_WARRIOR';
UPDATE Units SET Combat = 22 WHERE Type = 'UNIT_DANISH_BERSERKER';

